//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.workflow.coreImpl.store;

import org.huihoo.workflow.server.WorkflowCase;
import org.huihoo.workflow.server.WorkflowSession;
import org.huihoo.workflow.store.ValidationException;
import org.huihoo.workflow.store.WorkflowCaseValidator;
import org.huihoo.workflow.store.WorkflowTemplate;
import org.huihoo.workflow.xpdl.WorkflowProcess;

public class WorkflowCaseValidatorImpl implements WorkflowCaseValidator
{
	protected WorkflowTemplate workflowimpl;

	public WorkflowCaseValidatorImpl(WorkflowTemplate spiTemplate)
	{
		setWorkflowTemplate(workflowimpl);
	}

	public WorkflowTemplate getWorkflowTemplate()
	{
		return workflowimpl;
	}
	
	public void  setWorkflowTemplate(WorkflowTemplate workflowimpl)
	{
		this.workflowimpl = workflowimpl;
	}

	public boolean checkCreate(WorkflowSession session, WorkflowProcess workflowProcess) throws ValidationException
	{
		return true;
	}

	public boolean checkFind(WorkflowSession session, WorkflowCase workflowCase) throws ValidationException
	{
		return true;
	}

	public boolean checkUpdate(WorkflowSession session, WorkflowCase workflowCase) throws ValidationException
	{
		return true;
	}

	public boolean checkDelete(WorkflowSession session, WorkflowCase workflowCase) throws ValidationException
	{
		return true;
	}

	public boolean checkCancel(WorkflowSession session, WorkflowCase workflowCase) throws ValidationException
	{
		return true;

	}

	public boolean checkComplete(WorkflowSession session, WorkflowCase workflowCase) throws ValidationException
	{
		return true;
	}

	public boolean checkConfirm(WorkflowSession session, WorkflowCase workflowCase) throws ValidationException
	{
		return true;
	}

	public boolean checkSuspend(WorkflowSession session, WorkflowCase workflowCase) throws ValidationException
	{
		return true;
	}

	public boolean checkResume(WorkflowSession session, WorkflowCase workflowCase) throws ValidationException
	{
		return true;
	}
}
